libdecodeqr0_0.9.3-6.2+b1_amd64.deb


Advertisement

Description

libdecodeqr0 - C/C++ library for decoding QR code

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: libdecodeqr0
Package version: 0.9.3
Package release: 6.2+b1
Package architecture: amd64
Package type: deb
Installed size: 110 B
Download size: 27.51 KB
Official Mirror: ftp.br.debian.org
libdecodeqr is a C/C++ library for decoding QR code ased on JIS X 0510 and ISO/IEC18004. This library is able to decode various image formats whether it's taken from a file, webcam, scanner, or any other image formats available. This package contains shared libraries.

Alternatives

    Download

    Source package: libdecodeqr

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libdecodeqr0 deb package:
      # sudo apt-get install libdecodeqr0

    Files

    • /usr/lib/libdecodeqr.so.0
    • /usr/lib/libdecodeqr.so.0.9.3
    • /usr/share/doc/libdecodeqr0/changelog.Debian.amd64.gz
    • /usr/share/doc/libdecodeqr0/changelog.Debian.gz
    • /usr/share/doc/libdecodeqr0/copyright

    Changelog

    2012-01-08 - gregor herrmann <gregoa@debian.org> libdecodeqr (0.9.3-6.2) unstable; urgency=low * Non-maintainer upload. * Add patch 06_fix_link_order.patch, again provided by peter green: reorder linking in Makefile.ins, otherwise the package FTBFS (without binutils-gold). Now hopefully really closes: #652854.

    2012-01-04 - gregor herrmann <gregoa@debian.org> libdecodeqr (0.9.3-6.1) unstable; urgency=low * Fix "libdecodeqr FTBFS in unstable "configure: error: libcv.la not found."": apply patch from peter green that adjusts debian/{control,rules} to the restructured opencv libraries. Closes: #652854

    2011-09-16 - Nobuhiro Iwamatsu <iwamatsu@debian.org> libdecodeqr (0.9.3-6) unstable; urgency=low * Fix FTBFS with ld --as-needed. (Closes: #641565) Update patches/04_fix_ftbfs_618132.patch. Thanks for Iain Lane. * Update debian/rules. Add -Wl,-z,defs -Wl,--as-needed to LDFLAGS.

    2011-09-13 - Nobuhiro Iwamatsu <iwamatsu@debian.org> libdecodeqr (0.9.3-5) unstable; urgency=low * Change format to 3.0 (quilt). - Add source/format file. * Change build tools from CDBS to debhelper. * Update debian/rules. - Change to debhelper. * Update debian/control. - Bump up Standards-Version 3.9.2. - Update package description. * Dump debian/compat to 8. * Fix FTBFS with gold or ld --no-add-needed. (Closes: #618132). - Add patches/04_fix_ftbfs_618132.dpatch. * Fix FTBFS by -fpermissive of option. - Add patches/05_fix_ftbfs_permissive.dpatch.

    2010-07-26 - Nobuhiro Iwamatsu <iwamatsu@debian.org> libdecodeqr (0.9.3-4) unstable; urgency=low * Update debian/control. - Bump up Standards-Version 3.9.0. - Add ${misc:Depends} to libdecodeqr-dev's depends. * Fix FTBFS in imagereader.cpp (Closes: #590342). patches/03_fix_ftbfs_590342.patch

    2009-12-16 - Nobuhiro Iwamatsu <iwamatsu@debian.org> libdecodeqr (0.9.3-3) unstable; urgency=low * Change e-mail address. * Update Standards-Version. * Remove DM-Upload-Allowed field. * Add Homepage field of debian/control. * Add README.source file. * Change build-depends from libcv-dev to libhighgui-dev (Closes: #560577).

    2008-05-07 - Nobuhiro Iwamatsu <iwamatsu@nigauri.org> libdecodeqr (0.9.3-2) unstable; urgency=low * Fix compile error (Closes: #477001) * Update debian/control Add "DM-Upload-Allowed: yes"

    2007-07-06 - Nobuhiro Iwamatsu <iwamatsu@nigauri.org> libdecodeqr (0.9.3-1) unstable; urgency=low * Initial release (Closes: #432046)

    Advertisement
    Advertisement